/**
 * @file
 * Code for the ngApp module examples.
 */

var ControllerBasic = ['drupalLocalStorage', 'drupalUser', function(drupalLocalStorage, drupalUser) {
  // Bind this to vm (view-model).
  var vm = this;

  drupalUser
    .then(function(user) {
      if (user.uid > 0) {
        vm.message = 'Welcome ' + user.name + '!';
      }
      else {
        vm.message = "(Hey, you're not logged in!)";
      }
    });

  // Get thing from local storage.
  var thing = drupalLocalStorage.get('thing');
  if (!thing) {
    thing = '';
  }

  // Form submit action.
  vm.doThing = function(value) {
    drupalLocalStorage.set('thing', value);
    vm.thingActive = value;
  };

  // Init vm's thingActive binding.
  vm.thingActive = thing;
}];

$drupalApp
  .controller('ControllerBasic', ControllerBasic);
